APIDatasets
List a dataset's sources
GET
The tables, documents or skipped files of a dataset, a page at a time, in display order.
api_keyheader
AuthorizationBearer <token>An API key from Settings (ts_...).
id*stringFormat
uuidkind*stringlimit*|Format
int64cursor*string|nullapplication/json- response
One page of a list, newest first: next is the cursor of the following page, null on the last.
data*array<>next?string|nullcurl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/sources"{ "data": [ { "chars": 0, "detail": "string", "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "name": "string", "pages": 0, "path": "string", "pii_counts": {}, "preview": "string", "profile": {}, "reason": "string", "row_count": 0 } ], "next": "string"}